Package wx :: Class Icon

[frames | no frames]

## Type Icon

    object --+
             |
        Object --+
                 |
         GDIObject --+
                     |
                    Icon

Proxy of C++ Icon class

Method Summary
Icon | `__init__(self, name, type, desiredWidth, desiredHeight)`
| `__del__(self)`
| `__nonzero__(self)`
| `CopyFromBitmap(self, bmp)`
int | `GetDepth(self)`
int | `GetHeight(self)`
int | `GetWidth(self)`
bool | `IsOk(self)`
bool | `LoadFile(self, name, type)`
bool | `Ok(self)`
| `SetDepth(self, d)`
| `SetHeight(self, h)`
| `SetWidth(self, w)`

Property Summary
| `Depth`: See `GetDepth` and `SetDepth`
| `Height`: See `GetHeight` and `SetHeight`
| `thisown`: The membership flag
| `Width`: See `GetWidth` and `SetWidth`

Property Details

### Depth

See `GetDepth` and `SetDepth`

  Get Method:
    `GetDepth`(self)
  Set Method:
    `SetDepth`(self, d)

### Height

See `GetHeight` and `SetHeight`

  Get Method:
    `GetHeight`(self)
  Set Method:
    `SetHeight`(self, h)

### thisown

The membership flag

### Width

See `GetWidth` and `SetWidth`

  Get Method:
    `GetWidth`(self)
  Set Method:
    `SetWidth`(self, w)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:02 2007 | http://epydoc.sf.net